# Configuration file for Leonardo

data_dir            = "/Users/jtauber/leonardo/data/"

lfs_root            = data_dir + "lfs/"

cgi_root            = "/"

# static specific
static_dir          = data_dir + "static/"

# css specific
css_id              = "css"
css_href            = "/" + css_id

# page specific
site_title          = "Leonardo"
site_sub_title      = "sample site"
home_href           = "/"
home_key            = "__home__"
copyright_holder    = "James Tauber"

# menu specific
menu_key            = "__MENU__"
main_menu_key       = "__menu__"

# login_logout specific
login_path          = "login"
logout_path         = "logout"
login_href          = "/" + login_path
logout_href         = "/" + logout_path
log_return_field   = "return"

# editform specific
edit_path           = "edit"
edit_href           = "/" + edit_path
edit_prefix         = "/"
edit_resource_field = "resource"
editform_default_type = "wiki04"

# put specific
put_path               = "put"
put_href               = "/" + put_path
put_resource_field     = "resource"
put_content_field      = "page_content"
put_content_type_field = "content_type"

# delete specific
delete_path           = "delete"
delete_href           = "/" + delete_path
delete_resource_field = "resource"

# blog specific
blog_prefix         = "blog"
blog_title          = "Leonardo Sample Blog"
site_url            = "http://localhost:8000/"
all_blog_path       = "blog/all"
blog_recent_count   = 10

# atom specific
atom_path           = "atom"
full_atom_path      = "atom/full"
atom_all_path       = "atom/all"
full_atom_all_path  = "atom/all/full"
blog_author         = "James Tauber"
atom_recent_count   = 10

# draft specific
draft_prefix        = "draft"
draft_href          = "/" + draft_prefix
draft_type_default  = "wiki04"

# calendar specific
calendar_key        = "calendar"
